2017-06-16 19:49:24 由开源社区网友 odudalekixuy 投递
内容来源:http://www.oschina.net//news/85825/phpunit-6-2-2
玩转软件开发云,集华为近30年研发精华开发神器!>>>  

PHPUnit 6.2.2 已发布,这是一个修复版本,修复了 RiskyTestError 类未在正确的 namespace 中声明的问题。

PHPUnit 是一个面向程序员的 PHP 测试框架。是 xUnit 单元测试框架体系结构的一员。

PHPUnit 6.2 系列需要 PHP 7 及yi,强烈推荐使用最新版本的 PHP。

PHPUnit 需要使用 dom 和 json 扩展,它们通常是默认启用的。

PHPUnit 还需要 pcrereflectionspl 扩展。这些标准扩展默认启用,并且除非修改 PHP 的构建系统和 C 源代码,否则无法禁用它们。

代码覆盖率分析报告功能需要 Xdebug(2.5.0以上)与 tokenizer 扩展。生成 XML 格式的报告需要有 xmlwriter 扩展。

下载地址:

https://phar.phpunit.de/phpunit-6.2.phar

>>>【评论有礼】6月6日-30日评论每日更新的“新闻资讯和软件更新资讯”,评论点赞数超过 20 的可登上每周更新的“源资讯”和“软件周刊”两大栏目,点赞数超过 50 的还将获得 5 活跃积分奖励和开源中国定制好礼。详情

用户评论
开源开发学习小组列表